var firstPoint, secondPoint;

// Prompt for the user for the first point
function myText(arg)
{
  var options = new Acad.PromptPointOptions("\nSpecify the first point of the rectangle");
  Acad.Editor.getPoint(options).then(onFirstPointMyText,error);
}

// If the first point was successful, prompt the user for a second point
function onFirstPointMyText(arg)
{
  var obj = arg;
  firstPoint = obj.value;

  // Prompt for the user for the second point
  var options = new Acad.PromptCornerOptions("\nSpecify the opposite corner of the rectangle",
                                             new Acad.Point3d(firstPoint.x, firstPoint.y, firstPoint.z));

  Acad.Editor.getCorner(options).then(onSecondPointMyText,error);
}

// If an error occurred, display a general error message
function error()
{
  alert("Invalid point specified.");
}

// Function that executes the -LAYER, -STYLE, and MTEXT command
function onSecondPointMyText(arg) {
  var obj = arg;
  secondPoint = obj.value;

  try {
    Acad.Editor.executeCommandAsync(
      "._-layer", "_m", "TS-TEXT2", "_c", "5", "", "", 
      "._-style", "SANSSERIFBOLD", "", "", "", "", "", "", 
      "._mtext", firstPoint.x + "," + firstPoint.y, "_h", "0.75", secondPoint.x + "," + secondPoint.y);
  }
  catch(e) {
    console.log(e.message);
  } 
}

// Function that executes the LINE command
function drawLine() {
  try {
    Acad.Editor.executeCommandAsync(
      "._Line", "0,0,0", "150,150,0", ""
    );
  }
  catch(e) {
    console.log(e.message);
  } 
}

// Add a command to access the myText function
Acad.Editor.addCommand(
  "AUSamples_JS",
  "MYTEXT_JavaScript",
  "MYTEXT_JavaScript",
  Acad.CommandFlag.MODAL,
  myText
);

// Add a command to access the drawLine function
Acad.Editor.addCommand(
  "AUSamples_JS",
  "DL_JavaScript",
  "DL_JavaScript",
  Acad.CommandFlag.MODAL,
  drawLine
);