; Example of AutoLISP program that sets a layer and text style
; current before starting the MTEXT command
(defun c:MYTEXT_AutoLISP (/)
    (command "._-layer" "_m" "TS-TEXT2" "_c" "5" "" "")
    (command "._-style" "SANSSERIFBOLD" "" "" "" "" "" "")
    (initdia)
    (command "._mtext" PAUSE "_h" "0.75" PAUSE)
)

; AutoLISP example that uses the command function to draw a line from 0,0 to 150,150
(defun c:DL_AutoLISP ( / )
  (command "._LINE" "0,0,0" "150,150,0" "")
 (princ)
)

; AutoLISP and ActiveX/COM example to draw line from 0,0 to 150,150
(defun c:DL_AutoLISPCOM ( / acDoc acModelSpace pt1 pt2)
  ; Load the AutoCAD COM Library
  (vl-load-com)

  ; Get the current drawing
  (setq acDoc (vla-get-activedocument (vlax-get-acad-object)))

  ; Get model space for the current drawing
  (setq acModelSpace (vla-get-modelspace acDoc))

  ; define a start and end point for the line
  (setq pt1 (vlax-3D-point 0 0 0)
        pt2 (vlax-3D-point 150 150 0))

  ; Add the new line to model space
  (vla-addline acModelSpace pt1 pt2)
 (princ)
)

; Advanced AutoLISp example to draw line from 0,0 to 150,150
(defun c:DL_AutoLISPENTMAKE ( / )
  (entmake '((0 . "LINE")         ; Define the type of object to create, a line
             (10 0.0 0.0 0.0)     ; Define start point 0,0,0
             (11 150.0 150.0 0.0)     ; Define end point 150,150,0
            )
  )
 (princ)
)